POS365.VN APIs

<back to all web services

HouseholdBusinessInfoGet

Requires Authentication
The following routes are available for this service:
GET/api/taxonboard/info
TaxOnboardEntity Parameters:
NameParameterData TypeRequiredDescription
BranchIdformintNo
RetailerIdformintNo
TaxCodeformstringNo
IsActiveformboolNo
OnboardingDateformDateTimeNo
PeriodTypeformbyteNo
TaxpayerNameformstringNo
BrandNameformstringNo
PhoneNumberformstringNo
EmailformstringNo
TaxpayerCodeformstringNo
NewTaxpayerCodeformstringNo
BusinessSectorIdsformstringNo
IsRevisedformboolNo
AddressDetailformstringNo
ProvinceIdformint?No
WardIdformint?No
BusinessAreaformdoubleNo
PremisesTypeformboolNo
BorderBusinessformboolNo
BorderMarketNameformstringNo
TaxDepartmentIdformint?No
TaxOfficeIdformint?No
ResidentialAddressformstringNo
ResidentialProvinceIdformint?No
ResidentialWardIdformint?No
NumberOfEmployeesformint?No
WorkingHourFromformTimeSpan?No
WorkingHourToformTimeSpan?No
BankAccountformstringNo
CreatedByformlongNo
CreatedDateformDateTimeNo
ModifiedByformlong?No
ModifiedDateformDateTime?No
RevenueThresholdformRevenueThreshold?No
TaxCalculationMethodformTaxCalculationMethod?No
IsRevenueTaxConfirmedformboolNo
RevenueThreshold Enum:
NameValue
Under500Million1enum_RevenueThreshold_Under500Million
From500MillionTo3Billion2enum_RevenueThreshold_From500MillionTo3Billion
Above3Billion3enum_RevenueThreshold_Above3Billion
From3BillionTo50Billion4enum_RevenueThreshold_From3BillionTo50Billion
Above50Billion5enum_RevenueThreshold_Above50Billion
TaxCalculationMethod Enum:
NameValue
Exempted1
PercentOnRevenue2
VatOnRevenuePitOnTaxableIncome3

To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv

HTTP + JSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /api/taxonboard/info HTTP/1.1 
Host: api.pos365.vn 
Accept: text/jsv
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length

{
	BranchId: 0,
	RetailerId: 0,
	TaxCode: String,
	IsActive: False,
	OnboardingDate: 0001-01-01,
	PeriodType: 0,
	TaxpayerName: String,
	BrandName: String,
	PhoneNumber: String,
	Email: String,
	TaxpayerCode: String,
	NewTaxpayerCode: String,
	BusinessSectorIds: String,
	IsRevised: False,
	AddressDetail: String,
	ProvinceId: 0,
	WardId: 0,
	BusinessArea: 0,
	PremisesType: False,
	BorderBusiness: False,
	BorderMarketName: String,
	TaxDepartmentId: 0,
	TaxOfficeId: 0,
	ResidentialAddress: String,
	ResidentialProvinceId: 0,
	ResidentialWardId: 0,
	NumberOfEmployees: 0,
	WorkingHourFrom: PT0S,
	WorkingHourTo: PT0S,
	BankAccount: String,
	CreatedBy: 0,
	CreatedDate: 0001-01-01,
	ModifiedBy: 0,
	ModifiedDate: 0001-01-01,
	RevenueThreshold: 0,
	TaxCalculationMethod: 0,
	IsRevenueTaxConfirmed: False
}